Subject: Re: [PATCH 1/7] uio: add module owner to prevent inappropriate module unloading

From: Sebastian Andrzej Siewior <[email-masked]>
Date: Thu, 15 Aug 2013 10:18:17 +0200

On 08/15/2013 10:09 AM, Greg Kroah-Hartman wrote:
> Do you have a specific example of an in-tree UIO driver that has this
> problem that I can look at to try to understand this better?

grep for "uio_pdrv" and you find a few devices in arm and sh tree. Each
one is created once at boot time and never removed. With mfd the device
can be removed.
If you look now at uio_write() then you will notice that it will
deference idev->info->irqcontrol but once the device is gone the memory
starting at info is gone, not to mention the code behind irqcontrol.

> Still confused,
> greg k-h

Sebastian